Subject: linux-next: build failure after merge of the gpio-brgl tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 20 Oct 2025 11:56:11 +1100

Hi all,

After merging the gpio-brgl tree, today's linux-next build (x86_64
allmodconfig) failed like this:

ERROR: modpost: missing MODULE_LICENSE() in drivers/gpio/gpio-qixis-fpga.o
WARNING: modpost: missing MODULE_DESCRIPTION() in drivers/gpio/gpio-qixis-fpga.o

Caused by commit

  e88500247dc3 ("gpio: add QIXIS FPGA GPIO controller")

I have used the gpio-brgl tree from next-20251017 for today.

-- 
Cheers,
Stephen Rothwell